Commit 6dd2c6f3 authored by Piotr Ożarowski's avatar Piotr Ożarowski

Imported Debian patch 0.5.3-3

parents 6384a556 a621df89
python-lzma for Debian
----------------------
Unfortunantly, pyliblzma uses the new Py_buffer interface, which is
only backported to python2.6.
-- Richard Darst <rkd@zgib.net> Sun, 15 Nov 2009 17:01:44 -0500
python-lzma (0.5.3-3) unstable; urgency=medium
* Team upload.
[ Richard Darst ]
* NOT RELEASED YET
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
* Remove README.Debian; it contained only obsolete information
(closes: #694602). Thanks to Paul Wise for the bug report.
* Run tests only if DEB_BUILD_OPTIONS=nocheck is not set.
[ Piotr Ożarowski ]
* Convert from dh_pysupport to dh_python2
- add dh-python to Build-Depends
- remove no longer needed pyshared→pymodules rename
* debian/watch: use pypi.debian.net redirector
-- Piotr Ożarowski <piotr@debian.org> Wed, 19 Aug 2015 20:54:37 +0200
python-lzma (0.5.3-2) unstable; urgency=low
* Remove duplicated /u/s/d/{changelog,Changelog}.gz (Closes: #594943)
* Bump standards-version to 3.9., no changes required.
* Bump standards-version to 3.9.2
* Remove dh_make template from debian/watch
* Finally package and submit for sponsoring after months.
......
......@@ -3,12 +3,12 @@ Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Richard Darst <rkd@zgib.net>
Build-Depends: debhelper (>= 7.0.50~), liblzma-dev, python-all-dev (>= 2.5.4-3~), python-setuptools, pkg-config, python-support, python-all-dbg (>= 2.5.4-3~)
Build-Depends: debhelper (>= 7.0.50~), dh-python, liblzma-dev, python-all-dev (>= 2.5.4-3~), python-setuptools, pkg-config, python-all-dbg (>= 2.5.4-3~)
Standards-Version: 3.9.2
XS-Python-Version: >= 2.6
Homepage: https://launchpad.net/pyliblzma
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-lzma/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-lzma/trunk
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-lzma/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-lzma/trunk/
Package: python-lzma
Architecture: any
......
......@@ -7,7 +7,7 @@
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
#export DH_VERBOSE=1
PYVERS=$(shell pyversions -vr debian/control)
......@@ -21,14 +21,15 @@ clean:
override_dh_auto_test: $(PYVERS:%=test%)
dh_auto_test
test%:
ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
python$* setup.py test
endif
# Multiple binary packages, must specify which to install files into.
override_dh_auto_install:
dh_auto_install --destdir=debian/tmp
override_dh_strip:
dh_strip --dbg-package=python-lzma-dbg
cd debian/*-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
# debug package can refer to docs of depended-on binary package
override_dh_installdocs:
......@@ -38,4 +39,4 @@ override_dh_installdocs:
%:
dh $@
dh $@ --with python2
version=3
http://pypi.python.org/packages/source/p/pyliblzma/pyliblzma-(.*)\.tar\.bz2
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pyliblzma/pyliblzma-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
\ No newline at end of file
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment